NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_tmpnam(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_tmpnam - Generate a temporary file name

## Table Of Contents

## Synopsis

- ns_tmpnam

## Description

This command generates a filename that can safely be used for a temporary file. ns_tmpnam uses the tmpnam() function, therefore the behavior will depend on the operating system.

## COMMANDS

ns_tmpnam

## EXAMPLES

     % ns_tmpnam
     /tmp/fileCQwPYG

## See Also

nsd

## Keywords

ns_mktemp